<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.common.mapper.CommonMapper">

    <resultMap id="LongDecimalVO" type="com.ruoyi.common.domain.vo.LongDecimalVO">
        <result property="value" column="value" typeHandler="com.ruoyi.common.mybatis.typehandler.NonNullDecimalTypeHandler"/>
    </resultMap>

    <resultMap id="StringIntegerVO" type="com.ruoyi.common.domain.vo.StringIntegerVO">
        <result property="key" column="key"/>
        <result property="value" column="value" typeHandler="com.ruoyi.common.mybatis.typehandler.NonNullIntegerTyperHandler"/>
    </resultMap>

    <resultMap id="LongIntegerVO" type="com.ruoyi.common.domain.vo.LongIntegerVO">
        <result property="key" column="key"/>
        <result property="value" column="value" typeHandler="com.ruoyi.common.mybatis.typehandler.NonNullIntegerTyperHandler"/>
    </resultMap>

    <resultMap id="IntegerIntegerVO" type="com.ruoyi.common.domain.vo.IntegerIntegerVO">
        <result property="key" column="key"/>
        <result property="value" column="value" typeHandler="com.ruoyi.common.mybatis.typehandler.NonNullIntegerTyperHandler"/>
    </resultMap>

    <resultMap id="LocalDateIntegerVO" type="com.ruoyi.common.domain.vo.LocalDateIntegerVO">
        <result property="key" column="key"/>
        <result property="value" column="value" typeHandler="com.ruoyi.common.mybatis.typehandler.NonNullIntegerTyperHandler"/>
    </resultMap>

    <resultMap id="LocalDateDecimalVO" type="com.ruoyi.common.domain.vo.LocalDateDecimalVO">
        <result property="key" column="key"/>
        <result property="value" column="value" typeHandler="com.ruoyi.common.mybatis.typehandler.NonNullDecimalTypeHandler"/>
    </resultMap>

</mapper>
